--- title: "Get monitoring result" slug: "analytics-vpcsearchengine-monitoring-getsearchenginemonitoringdata" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-monitoring-getsearchenginemonitoringdata" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get monitoring result Available in VPC Get monitoring data for search engine clusters and node servers. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/monitoring/getSearchEngineMonitoringData/{serviceGroupInstanceNo} (Korea Region) | | GET | /api/sgn-v2/monitoring/getSearchEngineMonitoringData/{serviceGroupInstanceNo} (Singapore Region) | | GET | /api/jpn-v2/monitoring/getSearchEngineMonitoringData/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `timeStart` | Integer | Required | Query start date and time (millisecond) - Unix timestamp format | | `timeEnd` | Integer | Required | Query end date and time (millisecond) - Unix timestamp format | | `metric` | String | Required | Metric type - `CLUSTER_ALL_METRICS` \| `SES_ALL_METRICS` - `CLUSTER_ALL_METRICS`: cluster monitoring metric - `SES_ALL_METRICS`: node monitoring metric | | `computeInstanceNo` | Integer | Conditional | Node server instance number - See [Get node list](/docs/en/analytics-vpcsearchengine-cluster-getclusternodelist). - Required if `metric` is `SES_ALL_METRICS` | | `interval` | String | Optional | Aggregation interval - `Min1` (default) \| `Min5` \| `Min30` \| `Hour2` \| `Day1` - `Min1`: 1 minute (up to 1 day) - `Min5`: 5 minutes (up to 1 week) - `Min30`: 30 minutes (up to 1 month) - `Hour2`: 2 hours (up to 3 months) - `Day1`: 1 day (up to 1 year) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/monitoring/getSearchEngineMonitoringData/1037*****?timeStart=1742747874000&timeEnd=1742866674000&metric=SES_ALL_METRICS&computeInstanceNo=1037*****&interval=Min30' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.data` | Array | - | Monitoring data: [data](/docs/en/analytics-vpcsearchengine-monitoring-getsearchenginemonitoringdata#data) | | `requestId` | String | - | ID for the request - UUID format | #### `data` The following describes `data`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `dps` | Array | - | Query result - Display in the data point (Unix timestamp format) and data value format | | `aggregation` | String | - | Aggregation function | | `dimensions` | Object | - | Dimension information | | `dimensions.instanceNo` | String | - | Node server instance number | | `dimensions.Svc_group_instance_no` | String | - | Cluster instance number | | `interval` | String | - | Aggregation interval - `Min1` \| `Min5` \| `Min30` \| `Hour2` \| `Day1` - `Min1`: 1 minute (up to 1 day) - `Min5`: 5 minutes (up to 1 week) - `Min30`: 30 minutes (up to 1 month) - `Hour2`: 2 hours (up to 3 months) - `Day1`: 1 day (up to 1 year) | | `metric` | String | - | Metric name | | `graphName` | String | - | Graph name | | `productName` | String | - | Product name | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "data": [ { "dps": [ [ 1742749200000, 0.0 ], [ 1742751000000, 0.0 ], [ 1742752800000, 0.0 ], ... ], "aggregation": "AVG", "dimensions": { "instanceNo": "1037*****", "Svc_group_instance_no": "1037*****" }, "interval": "Min30", "metric": "Indexing Rate", "graphName": "Indexing Rate(/m)", "productName": "Search Engine Service(VPC)" }, { "dps": [ [ 1742749200000, 0.0 ], [ 1742751000000, 0.0 ], [ 1742752800000, 0.0 ], ... ], "aggregation": "AVG", "dimensions": { "instanceNo": "1037*****", "Svc_group_instance_no": "1037*****" }, "interval": "Min30", "metric": "Search Rate", "graphName": "Search Rate(/m)", "productName": "Search Engine Service(VPC)" }, ... ] }, "requestId": "1e588fe5-****-****-****-0aa1fb036293" } ```